petsc-3.4.2 2013-07-02

# MatMissingDiagonal

Determine if sparse matrix is missing a diagonal entry (or block entry for BAIJ matrices)

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMissingDiagonal(Mat mat,PetscBool *missing,PetscInt *dd)

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameters

| missing | - is any diagonal missing
| dd | - first diagonal entry that is missing (optional)

### See Also

MatRealPart()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages